package com.pcloud.book.push.dao;

import com.pcloud.book.push.entity.SelfPushUser;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

/**
 * @描述：
 * @作者：zhuyajie
 * @创建时间：19:01 2019/11/26
 * @版本：1.0
 */
public interface SelfPushUserDao extends BaseDao<SelfPushUser>{

    /**
     * 群发人数
     * @param pushId
     * @return
     */
    Integer getCountByPushId(Long pushId);

    /**
     * 查用户id列表
     * @param pushId
     * @return
     */
    List<String> getUserIdListByPushId(Long pushId);

    public void deleteByPushId(Long pushId);
}
